--- a/org/postgresql/core/v3/ConnectionFactoryImpl.java	Tue Jan 10 13:23:17 2012 +0100
+++ b/org/postgresql/core/v3/ConnectionFactoryImpl.java	Thu Oct 28 16:04:14 2010 +0200
@@ -377,6 +377,7 @@
                     }
 
                 case AUTH_REQ_GSS:
+                case AUTH_REQ_SSPI:
                     org.postgresql.gss.MakeGSS.authenticate(pgStream, host,
                             user, password, 
                             info.getProperty("jaasApplicationName"),
@@ -384,12 +385,6 @@
                             logger);
                     break;
 
-                case AUTH_REQ_SSPI:
-                    if (logger.logDebug())
-                        logger.debug(" <=BE AuthenticationReqSSPI");
-
-                    throw new PSQLException(GT.tr("SSPI authentication is not supported because it is not portable.  Try configuring the server to use GSSAPI instead."), PSQLState.CONNECTION_REJECTED);
-
                 case AUTH_REQ_OK:
                     if (logger.logDebug())
                         logger.debug(" <=BE AuthenticationOk");
--- a/org/postgresql/gss/MakeGSS.java	Tue Jan 10 13:23:17 2012 +0100
+++ b/org/postgresql/gss/MakeGSS.java	Thu Oct 28 16:04:14 2010 +0200
@@ -83,8 +83,9 @@
 
         try {
 
-            org.ietf.jgss.Oid desiredMechs[] = new org.ietf.jgss.Oid[1];
-            desiredMechs[0] = new org.ietf.jgss.Oid("1.2.840.113554.1.2.2");
+            org.ietf.jgss.Oid desiredMechs[] = new org.ietf.jgss.Oid[2];
+            desiredMechs[0] = new org.ietf.jgss.Oid("1.3.6.1.5.5.2");
+            desiredMechs[1] = new org.ietf.jgss.Oid("1.2.840.113554.1.2.2");
 
 
             GSSManager manager = GSSManager.getInstance();
